---
title: Running an InstallFest 
category: blog
author: "Emily Dunham <dunhame@onid.oregonstate.edu>"
date: 2013-10-03 00:00:00
---
0) **1-2 weeks Before Term Starts**

Pick a time and date for the InstallFest. The usual LUG time (Tuesday at
6pm) generally works, and we usually have a room for it as well. Contact Tina
Batten from EECS to reserve KEC1005 or KEC1007. Week 2 or 3 is generally a
good time to have InstallFest, since students in the introductory CS classes
have realized they need Linux but haven't gotten it yet. 

* Take inventory of the USB sticks available. If there are less than about 20
  install disks available, get a bunch of cheap 1-2GB ones online if you'd like
  to hand them out to participants. Print stickers with the LUG's logo and url,
  and label the giveaway sticks before handing them out. 

Alternately, if the USB sticks available are 4GB or larger, make them able to
install multiple distros using [this guide][multiboot]. 

[multiboot]: http://www.pendrivelinux.com/boot-multiple-iso-from-usb-via-grub2-using-linux/

1) **During Week 1**

Make a list of which classes the LUG should present about InstallFest in.
Depending on the term, the table you'll fill out might look something like: 

<table>
    <tr>
        <th>Class</th>
        <th>Days/Time</th>
        <th>Prof</th>
        <th>Contacted?</th>
        <th>Response</th>
     </tr>
     <tr>
        <td>CS160</td>
        <td>MWF 10am</td>
        <td>Jennifer</td>
        <td>Yes</td>
        <td>Visit on Friday</td>
    </tr>
    <tr>
        <td>CS161</td>
        <td>TR 4pm</td>
        <td>Kevin</td>
        <td>Yes</td>
        <td>Send Email</td>
    </tr>
    <tr>
        <td>CS162</td>
        <td>Online</td>
        <td>Jess, J.</td>
        <td>Yes</td>
        <td>Send Email</td>
    </tr>
</table>

Classes to visit: 

* CS160 
* CS161
* CS162
* CS261
* CS275
* CS344
* ENGR111
* ENGR112
* MTH231
* MTH232

Gather the times and dates of all sections of these classes in a table such as
the one shown above. Find the professor names and email addresses for each of
them. Make sure that there are actually LUG students available to visit each
class we ask to visit. If nobody is available to visit, ask to just send a
message to the class lists instead. 

2) **Send Emails.** This is easiest if one person (probably president, VP, or
secretary) handles all the scheduling. This person should send the messages
from their ONID or ENGR address, since some professors filter out messages
from gmail and other non-student accounts.

Example email title:
 
> Linux Users Group InstallFest 10/8: 5-minute presentation in ENGR112?

For CS classes: 

> Dr. `PROFESSORNAME`,
> 
> I'm writing to you as a representative of the OSU Linux Users Group. We're
> holding our quarterly InstallFest event on `DATE`, and would like
> to request your permission to make a quick announcement to inform `CLASSNUMBER`
> students about it at the start of your `TIME` and `TIME` lectures on either
> `DATE` or `DATE`.
> 
>  
> The InstallFest is an outreach event where experienced Linux users help
> students interested in the operating system try it out and install it on their
> laptops.
>
> 
> Additionally, we would like to inform students of the Devops Daycamp event
> coming up on Saturday, Oct. 11th (osl.io/devopsdaycamp), where students have
> the opportunity to participate in various tech workshops related to open
> source software.
> 
> 
> Please let me know whether we can send a LUG representative to make a quick
> announcement in your `CLASSNUMBER` class, and if so, which day would work best for
> you. If you don't have time in class but would like to help promote the event,
> we would also appreciate the opportunity to send a brief message about it to
> your students via the class mailing list.
> 
> 
> Thanks,
> 
> Emily Dunham
> 
> President, OSU Linux Users Group
> 
> lug.oregonstate.edu

For non-CS classes, the second paragraph of the email should explain why
students in that class might care about LUG, for instance: 

> The InstallFest is an outreach event where experienced Linux users help
> students interested in the operating system try it out and install it on their
> laptops. Although students from all disciplines of engineering take ENGR112,
> the Linux operating system is a widely used tool in research and industry, so
> the Linux Users Group is likely to be relevant to your students' interests and
> needs.

3) **Send recruitment email** to the profs who said they'd prefer to advertise it
on their listserves, and to the online classes. It'll probably look something like this: 
 
> Are you new to Linux? Want to learn more about the operating system and its
> open source software ecosystem but don't know where to start?  The OSU Linux
> Users Group is having an event tomorrow evening which will help you learn
> more, and install Linux beside your current operating system on your laptop if
> you would like it.
> 
> 
> Who: You!
> 
> What: Installfest is a 2-hour event where experienced Linux users guide
> newbies through the process of installing Linux for the first time
> 
> When: Tuesday October 8th from 6-8pm
> 
> Where: KEC 1007 (one of the two smaller classrooms in Kelley Engineering
> Center)
> 
> Bring: Your laptop and power supply
> 
> 
> To be notified of future events, sign up for the LUG's mailing list at
> http://lists.oregonstate.edu/mailman/listinfo/linux. If you'd like to become a
> voting member of the LUG, just fill out the form at
> https://docs.google.com/spreadsheet/viewform?formkey=dDIySHZQeHNhbFhkd25uaTFUNEZubnc6MQ.
> 
> 
> Thanks,
> 
> Emily Dunham
> 
> President, OSU Linux Users Group
> 
> dunhame@onid.orst.edu
> 
> edunham on irc.freenode.net

4) **Visit the Classes**. Hand out handouts with the LUG logo, web site, and irc
information. Tell people about InstallFest, BarCamp, DevOps Bootcamp, and any
cool speakers who've been scheduled for the term. 

* A note about handouts: Use the documents from [here][handouts] as a
  template, and update them to be correct for the current term. Leave a stack
  of handouts in the room for students to take at the end of class.

[handouts]: https://github.com/OSULUG/documents

"The Spiel" takes about 2 to 3 minutes, and is pretty straightforward: 

* First, introduce yourself and Linux. Ask a show of hands for who's heard of
  Linux before, if you want to be interactive, then saying it's "a free
  alternative to Mac or Windows, widely used in industry and academia" is about
  all that an intro-level class needs to know.

* Explain that the Linux Users Group is a club of students on campus who use and
  contribute to free and open source software, and we have a variety of events
  that CS/engineering (customize based on what class it is) might be interested
  in.

* Give a 1-2 sentence summary of Installfest, BarCamp, regular meetings, and
  whatever else is interesting and relevant this term. 

* Tell them how to get more information -- encourage them to take the 
  handouts that you've set on a table near the door. Thank them for their time
  and encourage them to attend installfest, BarCamp, etc.

5) **Prepare Installation Media**. CDs and bootable USB sticks, latest Ubuntu and
some Mint at least. Let people know that they can bring other distros if
they'd like to. Make sure you know who is bringing them to the event. 

6) **Install Linux** and feed people pizza. 
